io.milvus.param.dml

## Class DeleteParam.Builder

- java.lang.Object
- - io.milvus.param.dml.DeleteParam.Builder

- Enclosing class:
    DeleteParam

      public static class DeleteParam.Builder
      extends java.lang.Object

  Builder for `DeleteParam` class.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DeleteParam` | `build()` Verifies parameters and creates a new `DeleteParam` instance.
    `DeleteParam.Builder` | `withCollectionName(@NonNull java.lang.String collectionName)` Sets the collection name.
    `DeleteParam.Builder` | `withDatabaseName(java.lang.String databaseName)` Sets the database name.
    `DeleteParam.Builder` | `withExpr(@NonNull java.lang.String expr)` Sets the expression to filter out entities to be deleted.
    `DeleteParam.Builder` | `withPartitionName(@NonNull java.lang.String partitionName)` Sets the partition name (Optional).

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withDatabaseName

          public DeleteParam.Builder withDatabaseName(java.lang.String databaseName)

      Sets the database name. database name can be nil.
      Parameters:
        `databaseName` - database name
      Returns:
        `Builder`

    - #### withCollectionName

          public DeleteParam.Builder withCollectionName(@NonNull
                                                        @NonNull java.lang.String collectionName)

      Sets the collection name. Collection name cannot be empty or null.
      Parameters:
        `collectionName` - collection name
      Returns:
        `Builder`

    - #### withPartitionName

          public DeleteParam.Builder withPartitionName(@NonNull
                                                       @NonNull java.lang.String partitionName)

      Sets the partition name (Optional).
      Parameters:
        `partitionName` - partition name
      Returns:
        `Builder`

    - #### withExpr

          public DeleteParam.Builder withExpr(@NonNull
                                              @NonNull java.lang.String expr)

      Sets the expression to filter out entities to be deleted.
      Parameters:
        `expr` - filtering expression
      Returns:
        `Builder`
      See Also:
        Boolean Expression Rules

    - #### build

          public DeleteParam build()
                            throws ParamException

      Verifies parameters and creates a new `DeleteParam` instance.
      Returns:
        `DeleteParam`
      Throws:
        `ParamException`